## linux-ubuntu-modules-2.6.24 2.6.24-19.28

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.28) hardy-proposed; urgency=low

  [Amit Kucheria]

  * LPIA: Update Poulsbo DRM driver to 2.0.1.32L.0016
    - LP: #240939

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 10 Jun 2008 10:53:08 +0100

linux-ubuntu-modules-2.6.24 (2.6.24-19.27) hardy-proposed; urgency=low

  [Amit Kucheria]

  * LPIA: Update Poulsbo DRM driver to PV
  * Poulsbo: Sync to Bugfix release 2.0.0.32L.0015

  [Stefan Bader]

  * SAUCE: md: Rename dm-raid4-5 module to dm-raid45
    - LP: #220493

  [Tim Gardner]

  * [ALSA] hda-codec - Fix Master volume on HP dv8000
    - LP: #200792

  [Upstream Kernel Changes]

  * [ALSA] hda-codec - Add docking-station mic input for Thinkpad X61
    - LP: #190071
  * [ALSA] hda-codec - Fix Master volume on HP dv8000
    - LP: #200792

  [Xiaoyang Yu]

  * intel-agp-ich9m: Intel agp driver with just ICH9M IDs enabled
    new hardware enablement.

  [Yong Wang]

  * e1000e-ich9m: Intel v0.2.9.5 driver with just ICH9M IDs enabled
    new hardware enablement.

 -- Tim Gardner <tim.gardner@canonical.com>  Sun, 11 May 2008 20:02:39 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-18.26) hardy-security; urgency=low

  * security upload with ABI bump to -18

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 29 May 2008 07:50:22 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-17.25) hardy-proposed; urgency=low

  [Tim Gardner]

  * Fix build issues for saa7134-alsa.ko and cx88-alsa.ko
    - LP: #226063

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 May 2008 06:59:47 -0600

linux-ubuntu-modules-2.6.24 (2.6.24-17.24) hardy-proposed; urgency=low

  [Colin Ian King]

  * Allow unionfs to chown a hardlinked file on a ro filesystem
    - LP: #224754

  [Stefan Bader]

  * sound: Include config.h and config1.h into lum headers. This enables
    third party modules to be built correctly against LUM ALSA headers.
    This fix is a follow-on to the work done to correclty build cx88/saa1734
    alsa modules.

  [Tim Gardner]

  * Removed cx88/saa1734 media modules. Only build ALSA modules for these devices.
    Building the media modules in LUM was causing problems for Mythbuntu
    when they upgraded kernel video modules. They aren't needed in LUM
    and have no ALSA dependencies. The cx88/saa1734 kernel modules are
    indentical to those that were being built in LUM.

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 24 Apr 2008 09:10:17 -0600
