## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook6

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook6) hardy; urgency=low

  [Michael Frey]

  * Bumped release.  Build against newest kernel headers.

 -- Michael Frey <michael.frey@canonical.com>  Mon, 08 Sep 2008 12:52:34 -0400
