## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook7

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook7) hardy; urgency=low

  [Michael Frey]

  * Patch to patch-realtek.c to enable microphone support on Toshiba
    netbook

 -- Michael Frey <michael.frey@canonical.com>  Wed, 17 Sep 2008 14:25:57 -0400
