=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook10) hardy; urgency=low

  [Michael Frey]

  * Patched alsa-kernel/pci/hda/patch_realtek.com
  * Added support for YM (Menlow / Poulsbo) internal Mic.

 -- Michael Frey <michael.frey@canonical.com>  Tue, 21 Oct 2008 10:13:27 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook9) hardy; urgency=low

  [Michael Frey]

  * Fixes for psb drm module
  * Fix for memory leak related to suspend / resume
  * Fix for console locking race condition related to suspend / resume

 -- Michael Frey <michael.frey@canonical.com>  Fri, 10 Oct 2008 14:09:56 -0400

linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook8) hardy; urgency=low

  [Matthew Ranostay]

  * ALSA: patch_sigmatel: add support for iPhone-style headset.
  * ALSA: patch_sigmatel: enable inputs for Harbour.
  * ALSA: patch_sigmatel: add support for 92HD75 codec & fix phase delay.
  * ALSA: patch_sigmatel: fix inputs on Harbour ( vref port E problem ).

  [Tony Espy]

  * ALSA: patch_sigmatel: fix trailing ':' syntax error.

 -- Tony Espy <espy@canonical.com>  Wed, 01 Oct 2008 22:19:21 +0000
