=== ubuntu/mactel/Makefile ===
#
# Makefile for Ubuntu additional drivers
#

obj-m	+= appleir.o
