=== ubuntu/acpi/acer_acpi/Makefile ===
obj-m += wmi-acer.o acer_acpi.o
