=== ubuntu/media/sms1xxx/Makefile ===
include $(src)/../../.config

sms1xxx-objs := smscoreapi.o smsusb.o smsdvb.o sms-cards.o

obj-$(CONFIG_DVB_SIANO_SMS1XXX) += sms1xxx.o

EXTRA_CFLAGS += -Idrivers/media/dvb/dvb-core

EXTRA_CFLAGS += $(extra-cflags-y) $(extra-cflags-m)
