=== ubuntu/media/stk11xx/Makefile ===

stk11xx-objs := stk11xx-usb.o stk11xx-v4l.o stk11xx-sysfs.o stk11xx-dev.o stk11xx-buf.o stk11xx-bayer.o

stk11xx-objs += stk11xx-dev-a311.o
stk11xx-objs += stk11xx-dev-a821.o
stk11xx-objs += stk11xx-dev-6a31.o
stk11xx-objs += stk11xx-dev-6a33.o
stk11xx-objs += stk11xx-dev-6a51.o
stk11xx-objs += stk11xx-dev-6a54.o

obj-m += stk11xx.o
