=== ubuntu/net/et131x/Makefile ===
CFILES += ET1310_eeprom.c
CFILES += ET1310_jagcore.c
CFILES += ET1310_mac.c
CFILES += ET1310_phy.c
CFILES += ET1310_pm.c
CFILES += ET1310_rx.c
CFILES += ET1310_tx.c
CFILES += et131x_config.c
CFILES += et131x_debug.c
CFILES += et131x_initpci.c
CFILES += et131x_isr.c
CFILES += et131x_main.c
CFILES += et131x_netdev.c
CFILES += et131x_supp.c

obj-m += et131x.o
et131x-objs := $(CFILES:.c=.o)
