## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14

=== ubuntu/Makefile ===
--- 
+++ 
@@ -76,3 +76,5 @@
 obj-$(CONFIG_DMRAID45)		+= md/
 
 obj-$(CONFIG_AGP_INTEL_ICH9M)	+= char/intel-agp-ich9m/
+
+obj-$(CONFIG_HP_MINI)		+= misc/hpmini.o
