## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14dennis1

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook14dennis1) hardy; urgency=low

  [Matthew Ranostay]

  * ALSA: hda: lower overall HDA output by -5.25dB ( LP: 3292231 ).

 -- Tony Espy <espy@canonical.com>  Tue, 17 Feb 2009 21:58:33 +0000
