## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook14dennis2

=== debian/changelog ===
linux-ubuntu-modules-2.6.24 (2.6.24-19.29netbook14dennis2) dennis; urgency=low

  [Matthew Ranostay]

  * ALSA: hda:  Add 83xx support and volume scaling ( LP: 333376 ).

 -- Tony Espy <espy@canonical.com>  Sat, 28 Feb 2009 22:53:28 +0000
