=== ubuntu/misc/heci/Makefile ===
obj-m += heci.o
heci-objs := heci_init.o heci_interface.o heci_main.o interrupt.o io_heci.o
