=== ubuntu/wireless/acx/Makefile ===
EXTRA_CFLAGS = -DCONFIG_NET_ACX_PCI -DCONFIG_NET_ACX_USB

obj-m += acx.o

acx-objs := wlan.o conv.o ioctl.o common.o pci.o usb.o
