=== ubuntu/wireless/iwlwifi/Makefile ===
obj-m += mac80211/compatible/net/mac80211/
obj-m += iwlwifi/compatible/
