=== ubuntu/sound/alsa-driver/pci/pdplus/Makefile ===
ifndef SND_TOPDIR
SND_TOPDIR=../..
endif

include $(SND_TOPDIR)/toplevel.config
include $(SND_TOPDIR)/Makefile.conf

snd-pdplus-objs := pdplus.o

obj-$(CONFIG_SND_PDPLUS) += snd-pdplus.o

include $(SND_TOPDIR)/Rules.make
