## linux-ubuntu-modules-2.6.24 2.6.24-19.29netbook18

=== ubuntu/Makefile ===
--- 
+++ 
@@ -54,6 +54,9 @@
 obj-$(CONFIG_USB_ATMEL)		+= wireless/at76/
 obj-$(CONFIG_PRISM2_USB)	+= wireless/prism2_usb/
 obj-$(CONFIG_WIMAX_I2400M)	+= wireless/wimax-i2400m/
+obj-$(CONFIG_HSO)		+= wireless/hso/
+obj-$(CONFIG_RTL8185)		+= wireless/ieee80211-rtl/
+obj-$(CONFIG_RTL8185)		+= wireless/rtl8185/
 
 ifneq ($(CONFIG_PRISM2_USB),)
 obj-m				+= wireless/p80211/
